Returns details for a single event by ID.
cURL
curl --request GET \ --url https://api.roostedhr.com/api/1_12/events/{id} \ --header 'X-API-KEY: <api-key>'
200
Example
{ "id": 123, "name": "<string>", "date": "2023-12-25", "event_id": "<string>", "client_id": "<string>", "created": "2023-12-25", "location": { "id": "<string>", "location": "<string>", "addy_street_number": "<string>", "addy_city": "<string>", "addy_zip": "<string>", "location_comments": "<string>", "default": 0, "saved": 0, "color": "#DC136C", "timezone": { "id": 123, "name": "<string>", "offset": "<string>" }, "companies_payroll_rulesets_id": "<string>", "payroll_rule_display": "<string>", "latitude": "<string>", "longitude": "<string>", "default_clients_id": "<string>", "default_areas": [ "<string>" ] }, "admin_origin": { "personnel_id": "<string>", "name": "<string>" }, "reviewer": { "personnel_id": "<string>", "name": "<string>" }, "time_tracking_manager": { "personnel_id": "<string>", "name": "<string>" }, "custom_fields": [ { "id": "<string>", "name": "<string>", "value": "<string>", "options": [ { "title": "<string>", "value": "<string>" } ] } ] }
Documentation IndexFetch the complete documentation index at: https://docs.roostedhr.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
Use this file to discover all available pages before exploring further.
Event ID
OK
Show child attributes